Subject: Re: looking for good hex dump utility...

From: "Dave Arnold" <[email-masked]>
Date: Sat, 1 Jul 2000 19:14:51 -0700

hi Tim,

od seems to do the job but if I want to just see numbers 0-9 and letters a-z
in the ascii output, how
do I tell od to do that?  by default od outputs 3 letter names for non
character ascii values like
del, nul, esc...

For what I'm doing I only need to see the ascii values for letters and
numbers and otherwise just
a period '.'  for everything else in the ascii output, but the hexoutput I'd
like to see for everything.

Is there a way to do this?  I could probably edit the source code and change
the ascii output
part to do this right?

so far I'm using od like this:

> od -txa -w16 -Ax  <file to dump>

/dAVe

-----Original Message-----
From: Tim Prince <[email-masked]>
To: Dave Arnold <[email-masked]>; [email-masked]
<[email-masked]>
Cc: mail and news <[email-masked]>
Date: Saturday, July 01, 2000 6:35 PM
Subject: Re: looking for good hex dump utility...

>If od doesn't match your description, it might help if you would
>clarify.
>
>Tim Prince
>----- Original Message -----
>From: "Dave Arnold" <[email-masked]>
>To: <[email-masked]>
>Cc: "mail and news" <[email-masked]>
>Sent: Saturday, July 01, 2000 6:10 PM
>Subject: looking for good hex dump utility...
>
>
>> hi,
>>
>> can anyone recommend a good, simple hex dump utility that's
>> available with very portable source code in c/c++ or java which I can
>> build and use on any of the variety of GNU supported platforms?
>>
>> I just want something that I can take with me from one computer
>> to the next as needed without having to find one for each platform
>> as I go.
>>
>> Just would like be able to dump file contents and see hex and ascii
>> values line by line 16bytes at a time with byte address in hex next
>> to each line.
>>
>> thanks,
>> /dAVe
>>
>>
>
>
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]